Package org.apache.sling.models.annotations.via

# Class ForcedResourceType

java.lang.Object
org.apache.sling.models.annotations.via.ForcedResourceType

All Implemented Interfaces:
  `ViaProviderType`

public class ForcedResourceType extends Object implements ViaProviderType
Marker class for using the ForcedResourceType @Via provider.

## Constructor Summary

Constructors
Constructor
Description
`ForcedResourceType()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ForcedResourceType

public ForcedResourceType()